package ${basePackage}.action.ajax.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.frame.base.Ajax;
import ${basePackage}.frame.utils.MapperUtil;
import ${basePackage}.module.system.mgr.UserManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class ${table.getCName()}Ajax extends Ajax {

    @Autowired
    private ${table.getCName()}Manager ${table.getFName()}Manager;

<#if table.getCreate()>
    public ${table.getCName()}CreateResponse create(String jsonParam) {
        ${table.getCName()}CreateRequest request = MapperUtil.toJava(jsonParam, ${table.getCName()}CreateRequest.class);
        return ${table.getFName()}Manager.create(request, LocalData.getToken());
    }
</#if>

<#if table.getDelete()>
    public ${table.getCName()}DeleteResponse delete(String jsonParam) {
        ${table.getCName()}DeleteRequest request = MapperUtil.toJava(jsonParam, ${table.getCName()}DeleteRequest.class);
        return ${table.getFName()}Manager.delete(request, LocalData.getToken());
    }
</#if>

<#if table.getUpdate()>
    public ${table.getCName()}UpdateResponse update(String jsonParam) {
        ${table.getCName()}UpdateRequest request = MapperUtil.toJava(jsonParam, ${table.getCName()}UpdateRequest.class);
        return ${table.getFName()}Manager.update(request, LocalData.getToken());
    }
</#if>

<#if table.getFind()>
    public ${table.getCName()}FindResponse find(String jsonParam) {
        ${table.getCName()}FindRequest request = MapperUtil.toJava(jsonParam, ${table.getCName()}FindRequest.class);
        return ${table.getFName()}Manager.find(request, LocalData.getToken());
    }
</#if>

<#if table.getGet()>
    public ${table.getCName()}GetResponse get(String jsonParam) {
        ${table.getCName()}GetRequest request = MapperUtil.toJava(jsonParam, ${table.getCName()}GetRequest.class);
        return ${table.getFName()}Manager.get(request, LocalData.getToken());
    }
</#if>

<#if table.getSearch()>
    public ${table.getCName()}SearchResponse search(String jsonParam) {
        ${table.getCName()}SearchRequest request = MapperUtil.toJava(jsonParam, ${table.getCName()}SearchRequest.class);
        return ${table.getFName()}Manager.search(request, LocalData.getToken());
    }
</#if>

<#if table.getGetAll()>
    public ${table.getCName()}GetAllResponse getAll(String jsonParam) {
        ${table.getCName()}GetAllRequest request = MapperUtil.toJava(jsonParam, ${table.getCName()}GetAllRequest.class);
        return ${table.getFName()}Manager.getAll(request, LocalData.getToken());
    }
</#if>
}
